Package org.apache.jasper.runtime

## Class JspFragmentHelper

- java.lang.Object
- - javax.servlet.jsp.tagext.JspFragment
  - - org.apache.jasper.runtime.JspFragmentHelper

    public abstract class JspFragmentHelper
    extends JspFragment

Helper class from which all Jsp Fragment helper classes extend. This class allows for the emulation of numerous fragments within a single class, which in turn reduces the load on the class loader since there are potentially many JspFragments in a single page.

The class also provides various utility methods for JspFragment implementations.

Author:
  Mark Roth

### Field Summary

Fields
`protected PageContext` `_jspx_page_context`
`protected int` `discriminator`
`protected JspContext` `jspContext`
`protected JspTag` `parentTag`

### Constructor Summary

Constructors
`JspFragmentHelper​(int discriminator, JspContext jspContext, JspTag parentTag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`JspContext` `getJspContext()` Returns the JspContext that is bound to this JspFragment.
`JspTag` `getParentTag()`

### Methods inherited from class javax.servlet.jsp.tagext.JspFragment

`invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### discriminator

    protected final int discriminator

#### jspContext

    protected final JspContext jspContext

#### _jspx_page_context

    protected final PageContext _jspx_page_context

#### parentTag

    protected final JspTag parentTag

### Constructor Detail

#### JspFragmentHelper

    public JspFragmentHelper​(int discriminator,
                             JspContext jspContext,
                             JspTag parentTag)

### Method Detail

#### getJspContext

    public JspContext getJspContext()

Description copied from class: `javax.servlet.jsp.tagext.JspFragment`
Returns the JspContext that is bound to this JspFragment.

Specified by:
  `getJspContext` in class `JspFragment`
Returns:
  The JspContext used by this fragment at invocation time.

#### getParentTag

    public JspTag getParentTag()